package com.yaozhitech.spring5.controller;


import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.yaozhitech.spring5.model.UserDomain;
import com.yaozhitech.spring5.service.UserService;

import lombok.AllArgsConstructor;

/**
 * <p>
 * 系统用户 前端控制器
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
@RestController
@RequestMapping("/user")
@AllArgsConstructor
public class UserController {

	private final UserService userService;
	
	@RequestMapping(value="/{id}")
	public UserDomain getById(@PathVariable Integer id) {
		return userService.getById(id);
	}
	
}
