package com.yaozhitech.spring5.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yaozhitech.spring5.mapper.ResourceMapper;
import com.yaozhitech.spring5.model.ResourceDomain;
import com.yaozhitech.spring5.service.ResourceService;

/**
 * <p>
 * 权限 服务实现类
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
@Service
public class ResourceServiceImpl extends ServiceImpl<ResourceMapper, ResourceDomain> implements ResourceService {

	@Override
	public ResourceDomain getByUuid(String uuid) {
		return baseMapper.selectOne(new QueryWrapper<ResourceDomain>().eq("resource_uuid", uuid));
	}

}
