package com.yaozhitech.spring5.config;

import org.springframework.beans.factory.annotation.Value;

import lombok.Data;

/**
 * 微服务之间的认证
 * @author EDZ
 *
 */
@Data
public class ServiceAuthConfig {

	private byte[] pubKeyByte;
    @Value("${auth.client.id:null}")
    private String clientId;
    @Value("${auth.client.secret}")
    private String clientSecret;
    @Value("${auth.client.token-header}")
    private String tokenHeader;
    @Value("${spring.application.name}")
    private String applicationName;
}
