package com.yaozhitech.spring5.dto;

import java.util.Date;

import lombok.Data;

@Data
public class ArticleDto {

	private Long id;
    private String title;
    private String author;
    private Date issueTime;
    private Date created;
    private Date modified;
    private Long createUserId;
    private String createUserName;
    private Integer status; //0:待发布, 1:已发布,  2:已删除
    private String content;
    private String headImgUrl;  //标题图片
    
    public static ArticleDto toArticle(String title) {
    	ArticleDto articleDto = new ArticleDto();
    	articleDto.setTitle(title);
    	return articleDto;
    }
}
