package com.yaozhitech.spring5.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.yaozhitech.spring5.provider.AdminProvider;

@RestController
@RequestMapping("/order")
public class OrderController {
	
	@Autowired
	private AdminProvider adminProvider;

	@GetMapping("/{id}")
	public ResponseEntity<String> read(@PathVariable Long id) {
		return ResponseEntity.ok(adminProvider.admin(id));
	}
}
