package com.yaozhitech.spring5.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yaozhitech.spring5.model.ResourceDomain;
import com.yaozhitech.spring5.model.RoleDomain;

/**
 * <p>
 * 用户角色 服务类
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
public interface RoleService extends IService<RoleDomain> {

	public RoleDomain getByUuid(String uuid);
	
	/**
	 * 
	 * @param roleUuid
	 * @param resourceType	资源类型
	 * @return
	 */
	public List<ResourceDomain> getResourcesByRoleUuid(String roleUuid, Integer resourceType);
}
