package com.yaozhitech.spring5.intercept;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import feign.RequestInterceptor;
import feign.RequestTemplate;

@Configuration
public class OkHttpTokenInterceptor implements RequestInterceptor{

	@Value("${spring.application.name}")
    private String applicationName;

	@Override
	public void apply(RequestTemplate template) {
		template.header("x-auth-client", applicationName);
	}

}
