package com.yaozhitech.spring5;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

import com.alicp.jetcache.anno.config.EnableCreateCacheAnnotation;
import com.alicp.jetcache.anno.config.EnableMethodCache;
import com.yaozhitech.spring5.config.UriConfiguration;


@EnableMethodCache(basePackages = "com.yaozhitech.spring5")
@EnableCreateCacheAnnotation
@EnableConfigurationProperties(UriConfiguration.class)
@SpringBootApplication
public class App {

	public static void main(String[] args) {
        // 程序启动入口
        SpringApplication.run(App.class,args);
    }
	
}
